import { StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
import { StepServiceDataAdapter } from './StepServiceDataAdapter';
export declare class ApiStepServiceDataAdapter implements StepServiceDataAdapter {
    private readonly properties;
    private readonly pipelineClient;
    constructor();
    getStepById(stepId: number): Promise<StepAttributes>;
    getArtifactUrlByStepId(stepId: number, artifactName: string): Promise<unknown>;
    getStepletsByStepId(stepId: number): Promise<StepletAttributes[]>;
    updateStep(stepId: StepAttributes['id'], update: Partial<StepAttributes>): Promise<StepAttributes>;
}
