import { StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
export interface StepServiceDataAdapter {
    getStepById(stepId: number): Promise<StepAttributes>;
    getStepletsByStepId(stepId: number): Promise<StepletAttributes[]>;
    getArtifactUrlByStepId(stepId: number, artifactName: string): Promise<unknown>;
    updateStep(stepId: StepAttributes['id'], update: Partial<StepAttributes>): Promise<StepAttributes>;
}
