import { StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
export declare class StepServiceRepository {
    private readonly adapter;
    constructor();
    getStepById(stepId: number): Promise<StepAttributes>;
    getStepletsByStepId(stepId: number): Promise<StepletAttributes[]>;
    getArtifactUrlByStepId(stepId: number, artifactName: string): Promise<unknown>;
    updateStep(stepId: number, update: Partial<StepAttributes>): Promise<StepAttributes>;
}
